Merging upstream version 0.4.1.
[debian/lxde-common.git] / Makefile.in
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/LXDE.desktop.in \
36 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
37 $(srcdir)/lxde-logout.desktop.in $(srcdir)/lxde-logout.in \
38 $(srcdir)/openbox-lxde.in $(srcdir)/startlxde.in \
39 $(top_srcdir)/configure $(top_srcdir)/lxpanel/panel.in \
40 $(top_srcdir)/openbox/rc.xml.in \
41 $(top_srcdir)/pcmanfm/main.lxde.in AUTHORS COPYING ChangeLog \
42 INSTALL NEWS install-sh missing mkinstalldirs
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46 $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
50 CONFIG_CLEAN_FILES = startlxde lxde-logout LXDE.desktop \
51 lxde-logout.desktop lxpanel/panel openbox/rc.xml openbox-lxde \
52 pcmanfm/main.lxde
53 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" \
54 "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" \
55 "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" \
56 "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" \
57 "$(DESTDIR)$(xsessiondir)"
58 binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
59 SCRIPTS = $(bin_SCRIPTS)
60 SOURCES =
61 DIST_SOURCES =
62 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
63 html-recursive info-recursive install-data-recursive \
64 install-dvi-recursive install-exec-recursive \
65 install-html-recursive install-info-recursive \
66 install-pdf-recursive install-ps-recursive install-recursive \
67 installcheck-recursive installdirs-recursive pdf-recursive \
68 ps-recursive uninstall-recursive
69 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
70 am__vpath_adj = case $$p in \
71 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
72 *) f=$$p;; \
73 esac;
74 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
75 defaultsDATA_INSTALL = $(INSTALL_DATA)
76 imagesDATA_INSTALL = $(INSTALL_DATA)
77 lxpanelDATA_INSTALL = $(INSTALL_DATA)
78 lxpanel_panelDATA_INSTALL = $(INSTALL_DATA)
79 openboxDATA_INSTALL = $(INSTALL_DATA)
80 pcmanfmDATA_INSTALL = $(INSTALL_DATA)
81 wallpapersDATA_INSTALL = $(INSTALL_DATA)
82 xsessionDATA_INSTALL = $(INSTALL_DATA)
83 DATA = $(defaults_DATA) $(images_DATA) $(lxpanel_DATA) \
84 $(lxpanel_panel_DATA) $(openbox_DATA) $(pcmanfm_DATA) \
85 $(wallpapers_DATA) $(xsession_DATA)
86 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
87 distclean-recursive maintainer-clean-recursive
88 ETAGS = etags
89 CTAGS = ctags
90 DIST_SUBDIRS = $(SUBDIRS)
91 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
92 distdir = $(PACKAGE)-$(VERSION)
93 top_distdir = $(distdir)
94 am__remove_distdir = \
95 { test ! -d $(distdir) \
96 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
97 && rm -fr $(distdir); }; }
98 GZIP_ENV = --best
99 DIST_ARCHIVES = $(distdir).tar.bz2
100 distuninstallcheck_listfiles = find . -type f -print
101 distcleancheck_listfiles = find . -type f -print
102 ACLOCAL = @ACLOCAL@
103 AMTAR = @AMTAR@
104 AUTOCONF = @AUTOCONF@
105 AUTOHEADER = @AUTOHEADER@
106 AUTOMAKE = @AUTOMAKE@
107 AWK = @AWK@
108 CYGPATH_W = @CYGPATH_W@
109 DEFS = @DEFS@
110 ECHO_C = @ECHO_C@
111 ECHO_N = @ECHO_N@
112 ECHO_T = @ECHO_T@
113 INSTALL = @INSTALL@
114 INSTALL_DATA = @INSTALL_DATA@
115 INSTALL_PROGRAM = @INSTALL_PROGRAM@
116 INSTALL_SCRIPT = @INSTALL_SCRIPT@
117 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
118 LIBOBJS = @LIBOBJS@
119 LIBS = @LIBS@
120 LN_S = @LN_S@
121 LTLIBOBJS = @LTLIBOBJS@
122 MAKEINFO = @MAKEINFO@
123 MKDIR_P = @MKDIR_P@
124 PACKAGE = @PACKAGE@
125 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
126 PACKAGE_NAME = @PACKAGE_NAME@
127 PACKAGE_STRING = @PACKAGE_STRING@
128 PACKAGE_TARNAME = @PACKAGE_TARNAME@
129 PACKAGE_VERSION = @PACKAGE_VERSION@
130 PATH_SEPARATOR = @PATH_SEPARATOR@
131 SET_MAKE = @SET_MAKE@
132 SHELL = @SHELL@
133 STRIP = @STRIP@
134 VERSION = @VERSION@
135 abs_builddir = @abs_builddir@
136 abs_srcdir = @abs_srcdir@
137 abs_top_builddir = @abs_top_builddir@
138 abs_top_srcdir = @abs_top_srcdir@
139 am__leading_dot = @am__leading_dot@
140 am__tar = @am__tar@
141 am__untar = @am__untar@
142 bindir = @bindir@
143 build_alias = @build_alias@
144 builddir = @builddir@
145 datadir = @datadir@
146 datarootdir = @datarootdir@
147 docdir = @docdir@
148 dvidir = @dvidir@
149 exec_prefix = @exec_prefix@
150 host_alias = @host_alias@
151 htmldir = @htmldir@
152 includedir = @includedir@
153 infodir = @infodir@
154 install_sh = @install_sh@
155 libdir = @libdir@
156 libexecdir = @libexecdir@
157 localedir = @localedir@
158 localstatedir = @localstatedir@
159 mandir = @mandir@
160 mkdir_p = @mkdir_p@
161 oldincludedir = @oldincludedir@
162 pdfdir = @pdfdir@
163 prefix = @prefix@
164 program_transform_name = @program_transform_name@
165 psdir = @psdir@
166 sbindir = @sbindir@
167 sharedstatedir = @sharedstatedir@
168 srcdir = @srcdir@
169 sysconfdir = @sysconfdir@
170 target_alias = @target_alias@
171 top_build_prefix = @top_build_prefix@
172 top_builddir = @top_builddir@
173 top_srcdir = @top_srcdir@
174 xsesspath = @xsesspath@
175 SUBDIRS = icon-theme man
176 bin_SCRIPTS = startlxde lxde-logout openbox-lxde
177
178 # Currently these paths are hardcoded.
179 xsessiondir = $(xsesspath)
180 xsession_DATA = LXDE.desktop
181 defaultsdir = $(sysconfdir)/xdg/lxsession/LXDE
182 defaults_DATA = default autostart config
183 wallpapersdir = $(datadir)/lxde/wallpapers
184 wallpapers_DATA = \
185 wallpapers/lxde_blue.jpg \
186 wallpapers/lxde_red.jpg \
187 wallpapers/lxde_green.jpg
188
189 imagesdir = $(datadir)/lxde/images
190 images_DATA = \
191 images/logout-banner.png \
192 images/lxde-icon.png
193
194 lxpaneldir = $(datadir)/lxpanel/profile/LXDE
195 lxpanel_DATA = lxpanel/config
196 lxpanel_paneldir = $(datadir)/lxpanel/profile/LXDE/panels
197 lxpanel_panel_DATA = lxpanel/panel
198 openboxdir = $(datadir)/lxde/openbox
199 openbox_DATA = \
200 openbox/rc.xml \
201 openbox/menu.xml
202
203 pcmanfmdir = $(datadir)/lxde/pcmanfm
204 pcmanfm_DATA = \
205 pcmanfm/main.lxde
206
207 EXTRA_DIST = \
208 default \
209 autostart \
210 config \
211 LXDE.desktop.in \
212 startlxde.in \
213 $(wallpapers_DATA) \
214 $(images_DATA) \
215 icon-theme/COPYING \
216 icon-theme/AUTHORS \
217 openbox/rc.xml.in \
218 openbox/menu.xml \
219 openbox-lxde.in \
220 pcmanfm/main.lxde.in \
221 $(lxpanel_DATA) \
222 lxpanel/panel.in
223
224 CLEANFILES = $(bin_SCRIPTS)
225 all: all-recursive
226
227 .SUFFIXES:
228 am--refresh:
229 @:
230 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
231 @for dep in $?; do \
232 case '$(am__configure_deps)' in \
233 *$$dep*) \
234 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
235 cd $(srcdir) && $(AUTOMAKE) --gnu \
236 && exit 0; \
237 exit 1;; \
238 esac; \
239 done; \
240 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
241 cd $(top_srcdir) && \
242 $(AUTOMAKE) --gnu Makefile
243 .PRECIOUS: Makefile
244 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
245 @case '$?' in \
246 *config.status*) \
247 echo ' $(SHELL) ./config.status'; \
248 $(SHELL) ./config.status;; \
249 *) \
250 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
251 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
252 esac;
253
254 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
255 $(SHELL) ./config.status --recheck
256
257 $(top_srcdir)/configure: $(am__configure_deps)
258 cd $(srcdir) && $(AUTOCONF)
259 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
260 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
261 startlxde: $(top_builddir)/config.status $(srcdir)/startlxde.in
262 cd $(top_builddir) && $(SHELL) ./config.status $@
263 lxde-logout: $(top_builddir)/config.status $(srcdir)/lxde-logout.in
264 cd $(top_builddir) && $(SHELL) ./config.status $@
265 LXDE.desktop: $(top_builddir)/config.status $(srcdir)/LXDE.desktop.in
266 cd $(top_builddir) && $(SHELL) ./config.status $@
267 lxde-logout.desktop: $(top_builddir)/config.status $(srcdir)/lxde-logout.desktop.in
268 cd $(top_builddir) && $(SHELL) ./config.status $@
269 lxpanel/panel: $(top_builddir)/config.status $(top_srcdir)/lxpanel/panel.in
270 cd $(top_builddir) && $(SHELL) ./config.status $@
271 openbox/rc.xml: $(top_builddir)/config.status $(top_srcdir)/openbox/rc.xml.in
272 cd $(top_builddir) && $(SHELL) ./config.status $@
273 openbox-lxde: $(top_builddir)/config.status $(srcdir)/openbox-lxde.in
274 cd $(top_builddir) && $(SHELL) ./config.status $@
275 pcmanfm/main.lxde: $(top_builddir)/config.status $(top_srcdir)/pcmanfm/main.lxde.in
276 cd $(top_builddir) && $(SHELL) ./config.status $@
277 install-binSCRIPTS: $(bin_SCRIPTS)
278 @$(NORMAL_INSTALL)
279 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
280 @list='$(bin_SCRIPTS)'; for p in $$list; do \
281 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
282 if test -f $$d$$p; then \
283 f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
284 echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
285 $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
286 else :; fi; \
287 done
288
289 uninstall-binSCRIPTS:
290 @$(NORMAL_UNINSTALL)
291 @list='$(bin_SCRIPTS)'; for p in $$list; do \
292 f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
293 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
294 rm -f "$(DESTDIR)$(bindir)/$$f"; \
295 done
296 install-defaultsDATA: $(defaults_DATA)
297 @$(NORMAL_INSTALL)
298 test -z "$(defaultsdir)" || $(MKDIR_P) "$(DESTDIR)$(defaultsdir)"
299 @list='$(defaults_DATA)'; for p in $$list; do \
300 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
301 f=$(am__strip_dir) \
302 echo " $(defaultsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(defaultsdir)/$$f'"; \
303 $(defaultsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(defaultsdir)/$$f"; \
304 done
305
306 uninstall-defaultsDATA:
307 @$(NORMAL_UNINSTALL)
308 @list='$(defaults_DATA)'; for p in $$list; do \
309 f=$(am__strip_dir) \
310 echo " rm -f '$(DESTDIR)$(defaultsdir)/$$f'"; \
311 rm -f "$(DESTDIR)$(defaultsdir)/$$f"; \
312 done
313 install-imagesDATA: $(images_DATA)
314 @$(NORMAL_INSTALL)
315 test -z "$(imagesdir)" || $(MKDIR_P) "$(DESTDIR)$(imagesdir)"
316 @list='$(images_DATA)'; for p in $$list; do \
317 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
318 f=$(am__strip_dir) \
319 echo " $(imagesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(imagesdir)/$$f'"; \
320 $(imagesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(imagesdir)/$$f"; \
321 done
322
323 uninstall-imagesDATA:
324 @$(NORMAL_UNINSTALL)
325 @list='$(images_DATA)'; for p in $$list; do \
326 f=$(am__strip_dir) \
327 echo " rm -f '$(DESTDIR)$(imagesdir)/$$f'"; \
328 rm -f "$(DESTDIR)$(imagesdir)/$$f"; \
329 done
330 install-lxpanelDATA: $(lxpanel_DATA)
331 @$(NORMAL_INSTALL)
332 test -z "$(lxpaneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpaneldir)"
333 @list='$(lxpanel_DATA)'; for p in $$list; do \
334 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
335 f=$(am__strip_dir) \
336 echo " $(lxpanelDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(lxpaneldir)/$$f'"; \
337 $(lxpanelDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(lxpaneldir)/$$f"; \
338 done
339
340 uninstall-lxpanelDATA:
341 @$(NORMAL_UNINSTALL)
342 @list='$(lxpanel_DATA)'; for p in $$list; do \
343 f=$(am__strip_dir) \
344 echo " rm -f '$(DESTDIR)$(lxpaneldir)/$$f'"; \
345 rm -f "$(DESTDIR)$(lxpaneldir)/$$f"; \
346 done
347 install-lxpanel_panelDATA: $(lxpanel_panel_DATA)
348 @$(NORMAL_INSTALL)
349 test -z "$(lxpanel_paneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpanel_paneldir)"
350 @list='$(lxpanel_panel_DATA)'; for p in $$list; do \
351 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
352 f=$(am__strip_dir) \
353 echo " $(lxpanel_panelDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(lxpanel_paneldir)/$$f'"; \
354 $(lxpanel_panelDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(lxpanel_paneldir)/$$f"; \
355 done
356
357 uninstall-lxpanel_panelDATA:
358 @$(NORMAL_UNINSTALL)
359 @list='$(lxpanel_panel_DATA)'; for p in $$list; do \
360 f=$(am__strip_dir) \
361 echo " rm -f '$(DESTDIR)$(lxpanel_paneldir)/$$f'"; \
362 rm -f "$(DESTDIR)$(lxpanel_paneldir)/$$f"; \
363 done
364 install-openboxDATA: $(openbox_DATA)
365 @$(NORMAL_INSTALL)
366 test -z "$(openboxdir)" || $(MKDIR_P) "$(DESTDIR)$(openboxdir)"
367 @list='$(openbox_DATA)'; for p in $$list; do \
368 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
369 f=$(am__strip_dir) \
370 echo " $(openboxDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(openboxdir)/$$f'"; \
371 $(openboxDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(openboxdir)/$$f"; \
372 done
373
374 uninstall-openboxDATA:
375 @$(NORMAL_UNINSTALL)
376 @list='$(openbox_DATA)'; for p in $$list; do \
377 f=$(am__strip_dir) \
378 echo " rm -f '$(DESTDIR)$(openboxdir)/$$f'"; \
379 rm -f "$(DESTDIR)$(openboxdir)/$$f"; \
380 done
381 install-pcmanfmDATA: $(pcmanfm_DATA)
382 @$(NORMAL_INSTALL)
383 test -z "$(pcmanfmdir)" || $(MKDIR_P) "$(DESTDIR)$(pcmanfmdir)"
384 @list='$(pcmanfm_DATA)'; for p in $$list; do \
385 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
386 f=$(am__strip_dir) \
387 echo " $(pcmanfmDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pcmanfmdir)/$$f'"; \
388 $(pcmanfmDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pcmanfmdir)/$$f"; \
389 done
390
391 uninstall-pcmanfmDATA:
392 @$(NORMAL_UNINSTALL)
393 @list='$(pcmanfm_DATA)'; for p in $$list; do \
394 f=$(am__strip_dir) \
395 echo " rm -f '$(DESTDIR)$(pcmanfmdir)/$$f'"; \
396 rm -f "$(DESTDIR)$(pcmanfmdir)/$$f"; \
397 done
398 install-wallpapersDATA: $(wallpapers_DATA)
399 @$(NORMAL_INSTALL)
400 test -z "$(wallpapersdir)" || $(MKDIR_P) "$(DESTDIR)$(wallpapersdir)"
401 @list='$(wallpapers_DATA)'; for p in $$list; do \
402 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
403 f=$(am__strip_dir) \
404 echo " $(wallpapersDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(wallpapersdir)/$$f'"; \
405 $(wallpapersDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(wallpapersdir)/$$f"; \
406 done
407
408 uninstall-wallpapersDATA:
409 @$(NORMAL_UNINSTALL)
410 @list='$(wallpapers_DATA)'; for p in $$list; do \
411 f=$(am__strip_dir) \
412 echo " rm -f '$(DESTDIR)$(wallpapersdir)/$$f'"; \
413 rm -f "$(DESTDIR)$(wallpapersdir)/$$f"; \
414 done
415 install-xsessionDATA: $(xsession_DATA)
416 @$(NORMAL_INSTALL)
417 test -z "$(xsessiondir)" || $(MKDIR_P) "$(DESTDIR)$(xsessiondir)"
418 @list='$(xsession_DATA)'; for p in $$list; do \
419 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
420 f=$(am__strip_dir) \
421 echo " $(xsessionDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(xsessiondir)/$$f'"; \
422 $(xsessionDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(xsessiondir)/$$f"; \
423 done
424
425 uninstall-xsessionDATA:
426 @$(NORMAL_UNINSTALL)
427 @list='$(xsession_DATA)'; for p in $$list; do \
428 f=$(am__strip_dir) \
429 echo " rm -f '$(DESTDIR)$(xsessiondir)/$$f'"; \
430 rm -f "$(DESTDIR)$(xsessiondir)/$$f"; \
431 done
432
433 # This directory's subdirectories are mostly independent; you can cd
434 # into them and run `make' without going through this Makefile.
435 # To change the values of `make' variables: instead of editing Makefiles,
436 # (1) if the variable is set in `config.status', edit `config.status'
437 # (which will cause the Makefiles to be regenerated when you run `make');
438 # (2) otherwise, pass the desired values on the `make' command line.
439 $(RECURSIVE_TARGETS):
440 @failcom='exit 1'; \
441 for f in x $$MAKEFLAGS; do \
442 case $$f in \
443 *=* | --[!k]*);; \
444 *k*) failcom='fail=yes';; \
445 esac; \
446 done; \
447 dot_seen=no; \
448 target=`echo $@ | sed s/-recursive//`; \
449 list='$(SUBDIRS)'; for subdir in $$list; do \
450 echo "Making $$target in $$subdir"; \
451 if test "$$subdir" = "."; then \
452 dot_seen=yes; \
453 local_target="$$target-am"; \
454 else \
455 local_target="$$target"; \
456 fi; \
457 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
458 || eval $$failcom; \
459 done; \
460 if test "$$dot_seen" = "no"; then \
461 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
462 fi; test -z "$$fail"
463
464 $(RECURSIVE_CLEAN_TARGETS):
465 @failcom='exit 1'; \
466 for f in x $$MAKEFLAGS; do \
467 case $$f in \
468 *=* | --[!k]*);; \
469 *k*) failcom='fail=yes';; \
470 esac; \
471 done; \
472 dot_seen=no; \
473 case "$@" in \
474 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
475 *) list='$(SUBDIRS)' ;; \
476 esac; \
477 rev=''; for subdir in $$list; do \
478 if test "$$subdir" = "."; then :; else \
479 rev="$$subdir $$rev"; \
480 fi; \
481 done; \
482 rev="$$rev ."; \
483 target=`echo $@ | sed s/-recursive//`; \
484 for subdir in $$rev; do \
485 echo "Making $$target in $$subdir"; \
486 if test "$$subdir" = "."; then \
487 local_target="$$target-am"; \
488 else \
489 local_target="$$target"; \
490 fi; \
491 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
492 || eval $$failcom; \
493 done && test -z "$$fail"
494 tags-recursive:
495 list='$(SUBDIRS)'; for subdir in $$list; do \
496 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
497 done
498 ctags-recursive:
499 list='$(SUBDIRS)'; for subdir in $$list; do \
500 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
501 done
502
503 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
504 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
505 unique=`for i in $$list; do \
506 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
507 done | \
508 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
509 END { if (nonempty) { for (i in files) print i; }; }'`; \
510 mkid -fID $$unique
511 tags: TAGS
512
513 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
514 $(TAGS_FILES) $(LISP)
515 tags=; \
516 here=`pwd`; \
517 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
518 include_option=--etags-include; \
519 empty_fix=.; \
520 else \
521 include_option=--include; \
522 empty_fix=; \
523 fi; \
524 list='$(SUBDIRS)'; for subdir in $$list; do \
525 if test "$$subdir" = .; then :; else \
526 test ! -f $$subdir/TAGS || \
527 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
528 fi; \
529 done; \
530 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
531 unique=`for i in $$list; do \
532 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
533 done | \
534 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
535 END { if (nonempty) { for (i in files) print i; }; }'`; \
536 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
537 test -n "$$unique" || unique=$$empty_fix; \
538 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
539 $$tags $$unique; \
540 fi
541 ctags: CTAGS
542 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
543 $(TAGS_FILES) $(LISP)
544 tags=; \
545 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
546 unique=`for i in $$list; do \
547 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
548 done | \
549 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
550 END { if (nonempty) { for (i in files) print i; }; }'`; \
551 test -z "$(CTAGS_ARGS)$$tags$$unique" \
552 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
553 $$tags $$unique
554
555 GTAGS:
556 here=`$(am__cd) $(top_builddir) && pwd` \
557 && cd $(top_srcdir) \
558 && gtags -i $(GTAGS_ARGS) $$here
559
560 distclean-tags:
561 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
562
563 distdir: $(DISTFILES)
564 $(am__remove_distdir)
565 test -d $(distdir) || mkdir $(distdir)
566 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
567 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
568 list='$(DISTFILES)'; \
569 dist_files=`for file in $$list; do echo $$file; done | \
570 sed -e "s|^$$srcdirstrip/||;t" \
571 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
572 case $$dist_files in \
573 */*) $(MKDIR_P) `echo "$$dist_files" | \
574 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
575 sort -u` ;; \
576 esac; \
577 for file in $$dist_files; do \
578 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
579 if test -d $$d/$$file; then \
580 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
581 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
582 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
583 fi; \
584 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
585 else \
586 test -f $(distdir)/$$file \
587 || cp -p $$d/$$file $(distdir)/$$file \
588 || exit 1; \
589 fi; \
590 done
591 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
592 if test "$$subdir" = .; then :; else \
593 test -d "$(distdir)/$$subdir" \
594 || $(MKDIR_P) "$(distdir)/$$subdir" \
595 || exit 1; \
596 distdir=`$(am__cd) $(distdir) && pwd`; \
597 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
598 (cd $$subdir && \
599 $(MAKE) $(AM_MAKEFLAGS) \
600 top_distdir="$$top_distdir" \
601 distdir="$$distdir/$$subdir" \
602 am__remove_distdir=: \
603 am__skip_length_check=: \
604 distdir) \
605 || exit 1; \
606 fi; \
607 done
608 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
609 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
610 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
611 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
612 || chmod -R a+r $(distdir)
613 dist-gzip: distdir
614 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
615 $(am__remove_distdir)
616 dist-bzip2: distdir
617 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
618 $(am__remove_distdir)
619
620 dist-lzma: distdir
621 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
622 $(am__remove_distdir)
623
624 dist-tarZ: distdir
625 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
626 $(am__remove_distdir)
627
628 dist-shar: distdir
629 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
630 $(am__remove_distdir)
631
632 dist-zip: distdir
633 -rm -f $(distdir).zip
634 zip -rq $(distdir).zip $(distdir)
635 $(am__remove_distdir)
636
637 dist dist-all: distdir
638 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
639 $(am__remove_distdir)
640
641 # This target untars the dist file and tries a VPATH configuration. Then
642 # it guarantees that the distribution is self-contained by making another
643 # tarfile.
644 distcheck: dist
645 case '$(DIST_ARCHIVES)' in \
646 *.tar.gz*) \
647 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
648 *.tar.bz2*) \
649 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
650 *.tar.lzma*) \
651 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
652 *.tar.Z*) \
653 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
654 *.shar.gz*) \
655 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
656 *.zip*) \
657 unzip $(distdir).zip ;;\
658 esac
659 chmod -R a-w $(distdir); chmod a+w $(distdir)
660 mkdir $(distdir)/_build
661 mkdir $(distdir)/_inst
662 chmod a-w $(distdir)
663 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
664 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
665 && cd $(distdir)/_build \
666 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
667 $(DISTCHECK_CONFIGURE_FLAGS) \
668 && $(MAKE) $(AM_MAKEFLAGS) \
669 && $(MAKE) $(AM_MAKEFLAGS) dvi \
670 && $(MAKE) $(AM_MAKEFLAGS) check \
671 && $(MAKE) $(AM_MAKEFLAGS) install \
672 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
673 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
674 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
675 distuninstallcheck \
676 && chmod -R a-w "$$dc_install_base" \
677 && ({ \
678 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
679 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
680 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
681 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
682 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
683 } || { rm -rf "$$dc_destdir"; exit 1; }) \
684 && rm -rf "$$dc_destdir" \
685 && $(MAKE) $(AM_MAKEFLAGS) dist \
686 && rm -rf $(DIST_ARCHIVES) \
687 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
688 $(am__remove_distdir)
689 @(echo "$(distdir) archives ready for distribution: "; \
690 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
691 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
692 distuninstallcheck:
693 @cd $(distuninstallcheck_dir) \
694 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
695 || { echo "ERROR: files left after uninstall:" ; \
696 if test -n "$(DESTDIR)"; then \
697 echo " (check DESTDIR support)"; \
698 fi ; \
699 $(distuninstallcheck_listfiles) ; \
700 exit 1; } >&2
701 distcleancheck: distclean
702 @if test '$(srcdir)' = . ; then \
703 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
704 exit 1 ; \
705 fi
706 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
707 || { echo "ERROR: files left in build directory after distclean:" ; \
708 $(distcleancheck_listfiles) ; \
709 exit 1; } >&2
710 check-am: all-am
711 check: check-recursive
712 all-am: Makefile $(SCRIPTS) $(DATA)
713 installdirs: installdirs-recursive
714 installdirs-am:
715 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" "$(DESTDIR)$(xsessiondir)"; do \
716 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
717 done
718 install: install-recursive
719 install-exec: install-exec-recursive
720 install-data: install-data-recursive
721 uninstall: uninstall-recursive
722
723 install-am: all-am
724 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
725
726 installcheck: installcheck-recursive
727 install-strip:
728 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
729 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
730 `test -z '$(STRIP)' || \
731 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
732 mostlyclean-generic:
733
734 clean-generic:
735 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
736
737 distclean-generic:
738 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
739
740 maintainer-clean-generic:
741 @echo "This command is intended for maintainers to use"
742 @echo "it deletes files that may require special tools to rebuild."
743 clean: clean-recursive
744
745 clean-am: clean-generic mostlyclean-am
746
747 distclean: distclean-recursive
748 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
749 -rm -f Makefile
750 distclean-am: clean-am distclean-generic distclean-tags
751
752 dvi: dvi-recursive
753
754 dvi-am:
755
756 html: html-recursive
757
758 info: info-recursive
759
760 info-am:
761
762 install-data-am: install-defaultsDATA install-imagesDATA \
763 install-lxpanelDATA install-lxpanel_panelDATA \
764 install-openboxDATA install-pcmanfmDATA install-wallpapersDATA \
765 install-xsessionDATA
766
767 install-dvi: install-dvi-recursive
768
769 install-exec-am: install-binSCRIPTS
770
771 install-html: install-html-recursive
772
773 install-info: install-info-recursive
774
775 install-man:
776
777 install-pdf: install-pdf-recursive
778
779 install-ps: install-ps-recursive
780
781 installcheck-am:
782
783 maintainer-clean: maintainer-clean-recursive
784 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
785 -rm -rf $(top_srcdir)/autom4te.cache
786 -rm -f Makefile
787 maintainer-clean-am: distclean-am maintainer-clean-generic
788
789 mostlyclean: mostlyclean-recursive
790
791 mostlyclean-am: mostlyclean-generic
792
793 pdf: pdf-recursive
794
795 pdf-am:
796
797 ps: ps-recursive
798
799 ps-am:
800
801 uninstall-am: uninstall-binSCRIPTS uninstall-defaultsDATA \
802 uninstall-imagesDATA uninstall-lxpanelDATA \
803 uninstall-lxpanel_panelDATA uninstall-openboxDATA \
804 uninstall-pcmanfmDATA uninstall-wallpapersDATA \
805 uninstall-xsessionDATA
806
807 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
808 install-strip
809
810 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
811 all all-am am--refresh check check-am clean clean-generic \
812 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
813 dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
814 distclean-generic distclean-tags distcleancheck distdir \
815 distuninstallcheck dvi dvi-am html html-am info info-am \
816 install install-am install-binSCRIPTS install-data \
817 install-data-am install-defaultsDATA install-dvi \
818 install-dvi-am install-exec install-exec-am install-html \
819 install-html-am install-imagesDATA install-info \
820 install-info-am install-lxpanelDATA install-lxpanel_panelDATA \
821 install-man install-openboxDATA install-pcmanfmDATA \
822 install-pdf install-pdf-am install-ps install-ps-am \
823 install-strip install-wallpapersDATA install-xsessionDATA \
824 installcheck installcheck-am installdirs installdirs-am \
825 maintainer-clean maintainer-clean-generic mostlyclean \
826 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
827 uninstall uninstall-am uninstall-binSCRIPTS \
828 uninstall-defaultsDATA uninstall-imagesDATA \
829 uninstall-lxpanelDATA uninstall-lxpanel_panelDATA \
830 uninstall-openboxDATA uninstall-pcmanfmDATA \
831 uninstall-wallpapersDATA uninstall-xsessionDATA
832
833 # Tell versions [3.59,3.63) of GNU make to not export all variables.
834 # Otherwise a system limit (for SysV at least) may be exceeded.
835 .NOEXPORT: